> For the complete documentation index, see [llms.txt](https://docs.powens.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powens.com/documentation/integration-guides/pay-by-bank/advanced/listing-connectors-with-pay-by-bank-enabled-programmatically.md).

# Listing connectors with Pay by Bank enabled programmatically

In this guide, we will list connectors programmatically.

You can list enabled connectors with support for the Pay by Bank product on your domain by making an API call, which is mostly useful when getting the available connector list programatically. See below on how to make such a call.

In order to obtain such connectors programmatically from your domain, you can query the whole list and filter the results for connectors which `products` contains `"pay"`:

```
GET /connectors
```

```json
{
  "connectors": [
    {
      "id": 40,
      "name": "Connecteur de test",
      "products": [
        "bank",
        "pay",
        "wealth"
      ],
      "payment_settings": {
        "available_validate_mechanisms": [
          "webauth"
        ],
        "beneficiary_types": [
          "iban"
        ],
        "execution_date_types": [
          "first_open_day",
          "instant",
          "deferred"
        ],
        "execution_frequencies": [
          "two-monthly",
          "semiannually",
          "weekly",
          "yearly",
          "four-monthly",
          "daily",
          "quarterly",
          "biannual",
          "bimonthly",
          "two-weekly",
          "monthly"
        ],
        "maximum_number_of_instructions": 10,
        "providing_payer_account": "optional"
      },
      …
    },
    …
  ]
}
```

Connectors supporting the Pay by Bank product will define a `payment_settings` object, which present Pay by Bank constraints and features for this specific connectors. For more information on the format of this object, e.g. if you only want connectors that support instant payments, see [PaymentSettings](https://docs.powens.com/api-reference/user-connections/connectors#paymentsettings-object).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.powens.com/documentation/integration-guides/pay-by-bank/advanced/listing-connectors-with-pay-by-bank-enabled-programmatically.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
